## lollypop 1.4.33

=== debian/changelog ===
lollypop (1.4.33-1) unstable; urgency=medium

  * New upstream version 1.4.33

 -- Andreas Rönnquist <gusnan@debian.org>  Fri, 15 Apr 2022 18:29:38 +0200

lollypop (1.4.32-1) unstable; urgency=medium

  * New upstream version 1.4.32

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 14 Apr 2022 23:27:28 +0200

lollypop (1.4.31-1) unstable; urgency=medium

  * New upstream version 1.4.31

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 12 Apr 2022 13:40:52 +0200

=== debian/control ===
Source: lollypop
Section: gnome
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andreas Rönnquist <gusnan@debian.org>,
           Henry-Nicolas Tourneur <debian@nilux.be>
Build-Depends: debhelper-compat (= 13),
               python3,
               dh-python,
               meson,
               libglib2.0-dev,
               libgirepository1.0-dev,
               libgtk-3-dev,
               gir1.2-gstreamer-1.0,
               gir1.2-secret-1,
               gir1.2-totemplparser-1.0,
               python3-bs4,
               python-gi-dev,
               python3-pil,
               appstream-util,
               libsoup2.4-dev,
               libhandy-1-dev
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Homepage: https://wiki.gnome.org/Apps/Lollypop
Vcs-Browser: https://salsa.debian.org/python-team/packages/lollypop
Vcs-Git: https://salsa.debian.org/python-team/packages/lollypop.git

Package: lollypop
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         gir1.2-gstreamer-1.0,
         gir1.2-gst-plugins-base-1.0,
         gir1.2-secret-1,
         gir1.2-totemplparser-1.0,
         gir1.2-soup-2.4,
         gir1.2-handy-1,
         python3,
         python3-bs4,
         python3-gi,
         python3-gi-cairo,
         python3-pil,
         python3-gst-1.0,
         python3-cairo,
         libhandy-1-0
Suggests: gstreamer1.0-libav
Recommends: youtube-dl
Description: modern music player
 A Music player for GNOME featuring intuitive browsing of your music
 collection. Supports downloading of lyrics and cover art, syncing music
 with MTP devices, and has a kiosk (party) mode view.

## lollypop 1.4.34

=== meson_options.txt ===
option('flatpak', type : 'feature', value : 'disabled', description : 'Build for Flatpak')
option('devel', type : 'feature', value : 'disabled', description : 'Allow multiple instances')

=== debian/changelog ===
lollypop (1.4.34-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 19 Jul 2022 16:32:42 -0700

lollypop (1.4.34-1) unstable; urgency=medium

  * New upstream version 1.4.34

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 03 May 2022 15:08:00 +0200

lollypop (1.4.33-2) unstable; urgency=medium

  * source-only upload to allow migration to testing

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 16 Apr 2022 11:58:58 +0200

=== debian/control ===
Source: lollypop
Section: gnome
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andreas Rönnquist <gusnan@debian.org>,
           Henry-Nicolas Tourneur <debian@nilux.be>
Build-Depends: appstream-util,
               debhelper-compat (= 13),
               dh-python,
               gir1.2-gstreamer-1.0,
               gir1.2-secret-1,
               gir1.2-totemplparser-1.0,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libhandy-1-dev,
               libsoup2.4-dev,
               meson,
               python-gi-dev,
               python3,
               python3-bs4,
               python3-pil
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Homepage: https://wiki.gnome.org/Apps/Lollypop
Vcs-Browser: https://salsa.debian.org/python-team/packages/lollypop
Vcs-Git: https://salsa.debian.org/python-team/packages/lollypop.git

Package: lollypop
Architecture: all
Depends: gir1.2-gst-plugins-base-1.0,
         gir1.2-gstreamer-1.0,
         gir1.2-handy-1,
         gir1.2-secret-1,
         gir1.2-soup-2.4,
         gir1.2-totemplparser-1.0,
         libhandy-1-0,
         python3,
         python3-bs4,
         python3-cairo,
         python3-gi,
         python3-gi-cairo,
         python3-gst-1.0,
         python3-pil,
         ${misc:Depends},
         ${python3:Depends}
Suggests: gstreamer1.0-libav
Recommends: youtube-dl
Description: modern music player
 A Music player for GNOME featuring intuitive browsing of your music
 collection. Supports downloading of lyrics and cover art, syncing music
 with MTP devices, and has a kiosk (party) mode view.

## lollypop 1.4.35

=== debian/changelog ===
lollypop (1.4.35-1) unstable; urgency=medium

  * New upstream version 1.4.35
  * Upgrade to Standards Version 4.6.1 (No changes required)

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 17 Aug 2022 00:25:40 +0200

=== debian/control ===
Source: lollypop
Section: gnome
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andreas Rönnquist <gusnan@debian.org>,
           Henry-Nicolas Tourneur <debian@nilux.be>
Build-Depends: debhelper-compat (= 13),
               python3,
               dh-python,
               meson,
               libglib2.0-dev,
               libgirepository1.0-dev,
               libgtk-3-dev,
               gir1.2-gstreamer-1.0,
               gir1.2-secret-1,
               gir1.2-totemplparser-1.0,
               python3-bs4,
               python-gi-dev,
               python3-pil,
               appstream-util,
               libsoup2.4-dev,
               libhandy-1-dev
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://wiki.gnome.org/Apps/Lollypop
Vcs-Browser: https://salsa.debian.org/python-team/packages/lollypop
Vcs-Git: https://salsa.debian.org/python-team/packages/lollypop.git

Package: lollypop
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         gir1.2-gstreamer-1.0,
         gir1.2-gst-plugins-base-1.0,
         gir1.2-secret-1,
         gir1.2-totemplparser-1.0,
         gir1.2-soup-2.4,
         gir1.2-handy-1,
         python3,
         python3-bs4,
         python3-gi,
         python3-gi-cairo,
         python3-pil,
         python3-gst-1.0,
         python3-cairo,
         libhandy-1-0
Suggests: gstreamer1.0-libav
Recommends: youtube-dl
Description: modern music player
 A Music player for GNOME featuring intuitive browsing of your music
 collection. Supports downloading of lyrics and cover art, syncing music
 with MTP devices, and has a kiosk (party) mode view.

## lollypop 1.4.36

=== debian/changelog ===
lollypop (1.4.36-2) unstable; urgency=medium

  * Upgrade depends to libsoup 3
  * Add patch to increase the required libsoup version
  * Recommend yt-dlp instead of youtube-dl (Closes: #1024217, #1004370)

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 01 Dec 2022 15:29:13 +0100

lollypop (1.4.36-1) unstable; urgency=medium

  * New upstream version 1.4.36

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 14 Nov 2022 17:41:31 +0100

## lollypop 1.4.37

=== requirements.txt ===
beautifulsoup4
Pillow
PyGObject
pycairo
pylast
textblob
yt-dlp

=== debian/changelog ===
lollypop (1.4.37-1) unstable; urgency=medium

  * New upstream version 1.4.37
  * Remove patch to increase requirement on libsoup 3, applied upstream

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 21 Dec 2022 23:52:06 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python-gi-dev,
                python3-pil,
                appstream-util,
-               libsoup2.4-dev,
+               libsoup-3.0-dev,
                libhandy-1-dev
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
@@ -34,7 +34,7 @@
          gir1.2-gst-plugins-base-1.0,
          gir1.2-secret-1,
          gir1.2-totemplparser-1.0,
-         gir1.2-soup-2.4,
+         gir1.2-soup-3.0,
          gir1.2-handy-1,
          python3,
          python3-bs4,
@@ -45,7 +45,7 @@
          python3-cairo,
          libhandy-1-0
 Suggests: gstreamer1.0-libav
-Recommends: youtube-dl
+Recommends: yt-dlp
 Description: modern music player
  A Music player for GNOME featuring intuitive browsing of your music
  collection. Supports downloading of lyrics and cover art, syncing music

## lollypop 1.4.39

=== debian/changelog ===
lollypop (1.4.39-1) unstable; urgency=medium

  * New upstream version 1.4.39
  * Update Standards Version to 4.7.0 (No changes required)

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 14 Apr 2024 13:11:46 +0200

lollypop (1.4.38-1) unstable; urgency=medium

  * New upstream version 1.4.38
  * Upgrade Standards Version to 4.6.2 (No changes required)
  * Update copyright year for Debian packaging

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 03 Apr 2024 16:03:26 +0200

## lollypop 1.4.40

=== debian/changelog ===
lollypop (1.4.40-1) unstable; urgency=medium

  * New upstream version 1.4.40

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 17 Jun 2024 11:09:22 +0200

## lollypop 1.4.41

=== debian/changelog ===
lollypop (1.4.41-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 14 Mar 2025 11:17:41 -0700

lollypop (1.4.41-1) unstable; urgency=medium

  * New upstream version 1.4.41
  * Update copyright year for Debian packaging to 2025

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 06 Feb 2025 00:40:25 +0100

=== debian/control ===
Source: lollypop
Section: gnome
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andreas Rönnquist <gusnan@debian.org>,
           Henry-Nicolas Tourneur <debian@nilux.be>
Build-Depends: appstream-util,
               debhelper-compat (= 13),
               dh-python,
               gir1.2-gstreamer-1.0,
               gir1.2-secret-1,
               gir1.2-totemplparser-1.0,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libhandy-1-dev,
               libsoup-3.0-dev,
               meson,
               python-gi-dev,
               python3,
               python3-bs4,
               python3-pil
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://wiki.gnome.org/Apps/Lollypop
Vcs-Browser: https://salsa.debian.org/python-team/packages/lollypop
Vcs-Git: https://salsa.debian.org/python-team/packages/lollypop.git

Package: lollypop
Architecture: all
Depends: gir1.2-gst-plugins-base-1.0,
         gir1.2-gstreamer-1.0,
         gir1.2-handy-1,
         gir1.2-secret-1,
         gir1.2-soup-3.0,
         gir1.2-totemplparser-1.0,
         libhandy-1-0,
         python3,
         python3-bs4,
         python3-cairo,
         python3-gi,
         python3-gi-cairo,
         python3-gst-1.0,
         python3-pil,
         ${misc:Depends},
         ${python3:Depends}
Suggests: gstreamer1.0-libav
Recommends: yt-dlp
Description: modern music player
 A Music player for GNOME featuring intuitive browsing of your music
 collection. Supports downloading of lyrics and cover art, syncing music
 with MTP devices, and has a kiosk (party) mode view.

## lollypop 1.4.42

=== meson_options.txt ===
option('profile', type : 'string', value : 'stable', description : 'Target profile')

=== debian/changelog ===
lollypop (1.4.42-1) unstable; urgency=medium

  * New upstream version 1.4.42
  * Upgrade to Standards Version 4.7.2 (No changes required)
  * Add patch to always present window on launch (Closes: #1083161)

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 10 Aug 2025 21:18:37 +0200

=== debian/control ===
Source: lollypop
Section: gnome
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andreas Rönnquist <gusnan@debian.org>,
           Henry-Nicolas Tourneur <debian@nilux.be>
Build-Depends: debhelper-compat (= 13),
               python3,
               dh-python,
               meson,
               libglib2.0-dev,
               libgirepository1.0-dev,
               libgtk-3-dev,
               gir1.2-gstreamer-1.0,
               gir1.2-secret-1,
               gir1.2-totemplparser-1.0,
               python3-bs4,
               python-gi-dev,
               python3-pil,
               appstream-util,
               libsoup-3.0-dev,
               libhandy-1-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://wiki.gnome.org/Apps/Lollypop
Vcs-Browser: https://salsa.debian.org/python-team/packages/lollypop
Vcs-Git: https://salsa.debian.org/python-team/packages/lollypop.git

Package: lollypop
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         gir1.2-gstreamer-1.0,
         gir1.2-gst-plugins-base-1.0,
         gir1.2-secret-1,
         gir1.2-totemplparser-1.0,
         gir1.2-soup-3.0,
         gir1.2-handy-1,
         python3,
         python3-bs4,
         python3-gi,
         python3-gi-cairo,
         python3-pil,
         python3-gst-1.0,
         python3-cairo,
         libhandy-1-0
Suggests: gstreamer1.0-libav
Recommends: yt-dlp
Description: modern music player
 A Music player for GNOME featuring intuitive browsing of your music
 collection. Supports downloading of lyrics and cover art, syncing music
 with MTP devices, and has a kiosk (party) mode view.

## lollypop 1.4.44

=== requirements.txt ===
beautifulsoup4
Pillow
PyGObject
pycairo
textblob
yt-dlp

=== debian/changelog ===
lollypop (1.4.44-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on appstream, instead of deprecated appstream-util
    - Adjusted to upstream dependencies

 -- Matthias Klumpp <mak@debian.org>  Mon, 27 Oct 2025 00:42:12 +0100

lollypop (1.4.44-1) unstable; urgency=medium

  * New upstream version 1.4.44
  * Don't build-depend on libgirepository
  * Use debian watch version 5

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 10 Sep 2025 15:49:00 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                dh-python,
                meson,
                libglib2.0-dev,
-               libgirepository1.0-dev,
                libgtk-3-dev,
                gir1.2-gstreamer-1.0,
                gir1.2-secret-1,
@@ -17,9 +16,10 @@
                python3-bs4,
                python-gi-dev,
                python3-pil,
-               appstream-util,
+               appstream,
                libsoup-3.0-dev,
-               libhandy-1-dev
+               libhandy-1-dev,
+               gobject-introspection
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://wiki.gnome.org/Apps/Lollypop

=== debian/watch ===
version=5
https://adishatz.org/lollypop/ \
 lollypop-@ANY_VERSION@@ARCHIVE_EXT@

## lollypop 1.4.45

=== debian/changelog ===
lollypop (1.4.45-2) unstable; urgency=medium

  * Another upload to make sure to get the appstream depends correct

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 11 Dec 2025 01:32:01 +0100

lollypop (1.4.45-1) unstable; urgency=medium

  * New upstream version 1.4.45
  * Remove patch 0002-Always-present-window-on-launch.patch
    - applied upstream
  * Remove deleted file from copyright file too
  * Add a debian/clean file
  * Drop redundant Rules-Requires-Root:no

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 10 Dec 2025 23:01:50 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
                libhandy-1-dev,
                gobject-introspection
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://wiki.gnome.org/Apps/Lollypop
 Vcs-Browser: https://salsa.debian.org/python-team/packages/lollypop
 Vcs-Git: https://salsa.debian.org/python-team/packages/lollypop.git
